POST /api/entity_store/engines/{entityType}/start

Spaces method and path for this operation:

post /s/{space_id}/api/entity_store/engines/{entityType}/start

Refer to Spaces for more information.

Start a previously stopped entity engine, resuming transform processing for the given entity type.

Path parameters

  • entityType string Required

    The entity type of the engine to start.

    Values are user, host, service, or generic.

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • started boolean

      Whether the engine was successfully started.

POST /api/entity_store/engines/{entityType}/start
curl \
 --request POST 'https://<KIBANA_URL>/api/entity_store/engines/host/start' \
 --header "Authorization: $API_KEY"
Response examples (200)
The engine was successfully started and is now processing data.
{
  "started": true
}